<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <title>Ejercicio de selectores</title>
<style>
/* Todos los elementos de la pagina */
body {color:"#red";font-size: 16px;
  font-family: Arial, Helvetica, sans-serif;
}

/* Todos los parrafos de la pagina */
p {color: #555;}


/* Todos los párrafos contenidos en #primero */
{
  color: #369;
}

/* Todos los enlaces la pagina */
{
  color: #C30;
}

/* Los elementos <em> contenidos en #primero */
{
  color: #0000BB;
  background-color: #FFFFCC;
}

/* Todos los elementos <em> con la clase "especial" en toda la pagina */
{
  color: #FFFF00;
  background: #000000;
}

/* Todos los elementos <span> contenidos en la clase "normal" */
{
  font-weight: bold;
}

</style>
</head>

<body>

<div id="primero">
<p style="color: #555;">
<a  style="color: #C30;" href="http://publicacionesaltaria.com/es/tienda/112-html-css-curso-practico.html">HTML &amp; CSS: Curso práctico avanzado</a>
</p>

<p style="color:#369;">
Aunque los inicios de <a  style="color: #C30;" href="https://es.wikipedia.org/wiki/Internet">Internet</a> se remontan a los años sesenta, no ha sido hasta los años noventa cuando, gracias a la Web, se ha extendido su uso por todo el mundo. En pocos años, la Web ha evolucionado enormemente: se ha pasado de páginas sencillas, con pocas imágenes y contenidos estáticos que eran visitadas por unos pocos usuarios a <em> <span style="color:#00008B;
  background-color:#FFFFCC;" > páginas complejas, con contenidos dinámicos que provienen de bases de datos y que son visitadas por miles de usuarios al mismo tiempo.;" <span></em>
</p>
</div>

<div id="segundo" class="normal";font-weight: bold;>
<p style="color:#808080;">
Todas las páginas están internamente construidas con la misma tecnología, con el <em style="color: #ffff00;
  background-color:#000000 ;" class="especial">Lenguaje de marcas de hipertexto</em> (<span><strong> Hypertext Markup Language </strong></span>, <a  style="color: #C30;" href="https://es.wikipedia.org/wiki/HTML">HTML</a>) y con las <em style="color: #ffff00;
  background-color: #000000;" class="especial">Hojas de estilo en cascada</em> (<span>Cascading Style Sheets</span>, <a  style="color: #C30;"href="https://es.wikipedia.org/wiki/CSS">CSS</a>).
</p>

<p style="color:#808080;">
Este libro es <em><strong>adecuado para cualquiera que tenga interés en aprender a desarrollar sus propias páginas web</em></strong>. No son necesarios conocimientos previos para aprender con este libro, lo único que es necesario es saber utilizar un ordenador y saber navegar por la Web.
</p>
</div>

</body>
</html>
